[TxMt] Re: Textmate and RVM?

Guido Governatori gvdgdo at gmail.com
Sun Oct 3 20:42:17 UTC 2010

On 04/10/2010, at 1:55 AM, Brad Hutchins wrote:

> Hey has anyone experienced problems with textmate running a ruby file against RVM set to 1.9.2.  The "Command R"  runs ruby code, but I noticed it is running 1.8.7 (based on the errors I get when I try to run something specific to Ruby 1.9, such as the symbol short cut for hashes...)
> x={a: 1, b: 2, c: 3}... Does not work
> But the ruby 1.8.7 short cut
> x={a, 1, b, 2, c, 3}.... Does work.
> Is there a preference setting in Textmate that tells it to use which Ruby interpreter?

You have to set the TM_RUBY variable (Preferences -> Advanced, Shell variables).

For the value of it you can use the terminal (which ruby1.9).

Guido Governatori

More information about the textmate mailing list